## kf6-kcompletion 6.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.18.0") # handled by release scripts
set(KF_DEP_VERSION "6.18.0") # handled by release scripts
project(KCompletion VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.18.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakePackageConfigHelpers)
include(CMakeDependentOption)

include(ECMPoQmTools)
include(ECMGenerateQDoc)

set(kcompletion_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcompletion_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCOMPLETION
  VERSION_HEADER "${kcompletion_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfigVersion.cmake"
  SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.7.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)

find_package(KF6Codecs ${KF_DEP_VERSION} REQUIRED)
find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6WidgetsAddons ${KF_DEP_VERSION} REQUIRED)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

cmake_dependent_option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON "NOT CMAKE_CROSSCOMPILING" OFF)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

ecm_set_disabled_deprecation_versions(
    QT 6.10
    KF 6.17
)

ecm_install_po_files_as_qm(poqm)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Completion")

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6CompletionConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6CompletionConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6CompletionTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6CompletionTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kcompletion_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCompletion COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF6Completion)
add_library(KF6::Completion ALIAS KF6Completion)

set_target_properties(KF6Completion PROPERTIES
    VERSION     ${KCOMPLETION_VERSION}
    SOVERSION   ${KCOMPLETION_SOVERSION}
    EXPORT_NAME Completion
)

ecm_create_qm_loader(KF6Completion kcompletion6_qt)

target_sources(KF6Completion PRIVATE
    kcombobox.cpp
    kcombobox.h
    kcombobox_p.h
    kcompletionbase.cpp
    kcompletionbase.h
    kcompletionbox.cpp
    kcompletionbox.h
    kcompletion.cpp
    kcompletion.h
    kcompletionmatches.cpp
    kcompletionmatches.h
    kcompletion_p.h
    kemailvalidator.cpp
    kemailvalidator.h
    khistorycombobox.cpp
    khistorycombobox.h
    klineedit.cpp
    klineedit.h
    klineedit_p.h
    ksortablelist.h
    kzoneallocator.cpp
    kzoneallocator_p.h
)

ecm_qt_declare_logging_category(KF6Completion
    HEADER kcompletion_debug.h
    IDENTIFIER KCOMPLETION_LOG
    CATEGORY_NAME kf.completion
    DESCRIPTION "KCompletion"
    EXPORT KCOMPLETION
)

ecm_generate_export_header(KF6Completion
    BASE_NAME KCompletion
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.11
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6Completion INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KCompletion>")

target_link_libraries(KF6Completion PUBLIC Qt6::Widgets
                                    PRIVATE KF6::ConfigCore      # KConfigGroup, used in many places
                                            KF6::ConfigGui       # KStandardShortcut
                                            KF6::WidgetsAddons   # KCursor
                                            KF6::Codecs # KEmailAddress
)

ecm_generate_headers(KCompletion_HEADERS
  HEADER_NAMES
  KComboBox
  KCompletion
  KCompletionBase
  KCompletionBox
  KEmailValidator
  KLineEdit
  KHistoryComboBox
  KSortableList
  KCompletionMatches

  REQUIRED_HEADERS KCompletion_HEADERS
)

ecm_generate_qdoc(KF6Completion kcompletion.qdocconf)

install(TARGETS KF6Completion EXPORT KF6CompletionTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcompletion_export.h
  ${KCompletion_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCompletion COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

ecm_qt_install_logging_categories(
    EXPORT KCOMPLETION
    FILE kcompletion.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

include(ECMMarkAsTest)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt6Test_FOUND)
    message(STATUS "Qt6Test not found, manual tests will not be built.")
    return()
endif()

macro(kcompletion_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp ${_testname}.h)
    target_link_libraries(${_testname} Qt6::Test Qt6::Widgets KF6::Completion KF6::ConfigCore)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kcompletion_executable_tests(
   kcomboboxtest
   kcompletionuitest
   klineedittest
)

=== debian/changelog ===
kf6-kcompletion (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:16:27 +0200

=== debian/control ===
Source: kf6-kcompletion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
Rules-Requires-Root: no

Package: libkf6completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf6completion-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.18.0~),
         libkf6completion6 (= ${binary:Version}),
         libkf6config-dev (>= 6.18.0~),
         libkf6widgetsaddons-dev (>= 6.18.0~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libkf6completion-doc (= ${source:Version}),
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf6completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6completion6
Architecture: any
Multi-Arch: same
Depends: libkf6completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.

## kf6-kcompletion 6.18.0+p24.04+vstable+git20250914.1223

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
 set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
@@ -50,7 +50,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.17
+    KF 6.18
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kcompletion (6.18.0+p24.04+vstable+git20250914.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 12:23:32 +0000

kf6-kcompletion (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 12:36:17 +0000

kf6-kcompletion (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:11:09 +0000

kf6-kcompletion (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:09:22 +0000

kf6-kcompletion (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 05:39:33 +0000

kf6-kcompletion (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:27:52 +0000

kf6-kcompletion (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 01:52:23 +0000

kf6-kcompletion (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Mar 2025 21:52:51 +0000

kf6-kcompletion (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 07:50:38 +1000

kf6-kcompletion (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 11:33:07 +0000

kf6-kcompletion (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:21:18 +0000

kf6-kcompletion (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:23:38 +0000

kf6-kcompletion (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:19:43 +0000

kf6-kcompletion (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:25:35 +0000

kf6-kcompletion (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:19:19 +0000

kf6-kcompletion (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 04:37:32 +0000

kf6-kcompletion (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:27:48 +1000

kf6-kcompletion (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 03:51:04 +0000

kf6-kcompletion (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 21 Feb 2024 16:14:51 +0000

kf6-kcompletion (5.245.0-0neon) jammy; urgency=medium

  * New alpha release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kcompletion (0.0-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## kf6-kcompletion 6.18.0+p24.04+vstable+git20251005.0413

=== debian/changelog ===
kf6-kcompletion (6.18.0+p24.04+vstable+git20251005.0413-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 04:13:30 +0000

## kf6-kcompletion 6.19.0

=== debian/changelog ===
kf6-kcompletion (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6codecs-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
+               libkf6codecs-dev (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6widgetsaddons-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -38,11 +39,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.18.0~),
+Depends: libkf6codecs-dev (>= 6.19.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.18.0~),
-         libkf6widgetsaddons-dev (>= 6.18.0~),
-         qt6-base-dev (>= 6.7.0~),
+         libkf6config-dev (>= 6.19.0~),
+         libkf6widgetsaddons-dev (>= 6.19.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion

## kf6-kcompletion 6.19.0+p24.04+vstable+git20251008.1056

=== debian/changelog ===
kf6-kcompletion (6.19.0+p24.04+vstable+git20251008.1056-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 10:56:14 +0000

kf6-kcompletion (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 06:50:20 +0000

## kf6-kcompletion 6.19.0+p24.04+vstable+git20251015.0835

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcompletion (6.19.0+p24.04+vstable+git20251015.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:35:52 +0000

## kf6-kcompletion 6.19.0+p24.04+vstable+git20251024.0151

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
   SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets)

=== debian/changelog ===
kf6-kcompletion (6.19.0+p24.04+vstable+git20251024.0151-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 01:52:08 +0000

=== debian/control ===
Source: kf6-kcompletion
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kwidgetsaddons-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kcompletion
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kcompletion.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kcompletion
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kcompletion
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf6completion-data, libkf6completion-doc, libkf6completion6
Description: Widgets with advanced auto-completion features.
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: kf6-kcompletion-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcodecs-dev,
         kf6-kcompletion (= ${binary:Version}),
         kf6-kconfig-dev,
         kf6-kwidgetsaddons-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libkf6completion-dev
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf6completion-data
Architecture: all
Depends: kf6-kcompletion, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6completion-doc
Architecture: all
Depends: kf6-kcompletion-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6completion6
Architecture: all
Depends: kf6-kcompletion, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6completion-dev
Architecture: all
Depends: kf6-kcompletion-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kf6-kcompletion 6.19.0+p24.04+vunstable+git20251020.0223

=== debian/changelog ===
kf6-kcompletion (6.19.0+p24.04+vunstable+git20251020.0223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:23:51 +0000

## kf6-kcompletion 6.20.0

=== debian/changelog ===
kf6-kcompletion (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:25 +0100

=== debian/control ===
Source: kf6-kcompletion
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6codecs-dev (>= 6.20.0~),
               libkf6config-dev (>= 6.20.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kcompletion
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
Rules-Requires-Root: no

Package: libkf6completion-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the translations.

Package: libkf6completion-dev
Section: libdevel
Architecture: any
Depends: libkf6codecs-dev (>= 6.20.0~),
         libkf6completion6 (= ${binary:Version}),
         libkf6config-dev (>= 6.20.0~),
         libkf6widgetsaddons-dev (>= 6.20.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6completion-doc (= ${source:Version}),
Description: development files for kcompletion
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 Contains development files for kcompletion.

Package: libkf6completion-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Widgets with advanced auto-completion features (documentation)
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf6completion6
Architecture: any
Multi-Arch: same
Depends: libkf6completion-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Widgets with advanced auto-completion features
 KCompletion provides widgets with advanced completion support as well as a
 lower-level completion class which can be used with your own widgets.

## kf6-kcompletion 6.20.0+p24.04+vunstable+git20251122.0714

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -50,7 +50,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.18
+    KF 6.19
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kcompletion (6.20.0+p24.04+vunstable+git20251122.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 07:15:01 +0000

kf6-kcompletion (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:52 +1000

## kf6-kcompletion 6.20.0+p24.04+vunstable+git20251206.0326

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.20.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcompletion (6.20.0+p24.04+vunstable+git20251206.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 03:26:23 +0000

## kf6-kcompletion 6.21.0

=== debian/changelog ===
kf6-kcompletion (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:59 +0000

kf6-kcompletion (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:13:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcompletion
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -9,20 +10,20 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6codecs-dev (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6widgetsaddons-dev (>= 6.20.0~),
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6codecs-dev (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6widgetsaddons-dev (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
 Rules-Requires-Root: no
 
 Package: libkf6completion-data
@@ -38,11 +39,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.20.0~),
+Depends: libkf6codecs-dev (>= 6.21.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.20.0~),
-         libkf6widgetsaddons-dev (>= 6.20.0~),
-         qt6-base-dev (>= 6.8.0~),
+         libkf6config-dev (>= 6.21.0~),
+         libkf6widgetsaddons-dev (>= 6.21.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion

## kf6-kcompletion 6.21.0+p24.04+vstable+git20251222.0219

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,7 +50,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.19
+    KF 6.21
 )
 
 ecm_install_po_files_as_qm(poqm)

=== debian/changelog ===
kf6-kcompletion (6.21.0+p24.04+vstable+git20251222.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 02:19:32 +0000

kf6-kcompletion (6.21.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 07 Dec 2025 15:13:22 +1000

## kf6-kcompletion 6.21.0+p24.04+vstable+git20251226.0202

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10
+    QT 6.11
     KF 6.21
 )

=== debian/changelog ===
kf6-kcompletion (6.21.0+p24.04+vstable+git20251226.0202-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 02:02:41 +0000

## kf6-kcompletion 6.21.0+p24.04+vstable+git20260103.0201

=== debian/changelog ===
kf6-kcompletion (6.21.0+p24.04+vstable+git20260103.0201-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:01:28 +0000

## kf6-kcompletion 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.22.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcompletion (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:29:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6codecs-dev (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6widgetsaddons-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6codecs-dev (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6widgetsaddons-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-declarative-dev (>= 6.8.0+dfsg~),
@@ -39,10 +39,10 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.21.0~),
+Depends: libkf6codecs-dev (>= 6.22.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.21.0~),
-         libkf6widgetsaddons-dev (>= 6.21.0~),
+         libkf6config-dev (>= 6.22.0~),
+         libkf6widgetsaddons-dev (>= 6.22.0~),
          qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),

## kf6-kcompletion 6.22.0+p24.04+vstable+git20260106.0912

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kcompletion (6.22.0+p24.04+vstable+git20260106.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 09:12:43 +0000

kf6-kcompletion (6.22.0-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 16:44:58 +1000

## kf6-kcompletion 6.22.0+p24.04+vstable+git20260123.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
 set(KF_DEP_VERSION "6.22.0") # handled by release scripts

=== debian/changelog ===
kf6-kcompletion (6.22.0+p24.04+vstable+git20260123.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:22:11 +0000

## kf6-kcompletion 6.22.0+p24.04+vstable+git20260126.0701

=== debian/changelog ===
kf6-kcompletion (6.22.0+p24.04+vstable+git20260126.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 07:01:43 +0000

## kf6-kcompletion 6.23.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.27)
 
 set(KF_VERSION "6.23.0") # handled by release scripts
-set(KF_DEP_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.23.0") # handled by release scripts
 project(KCompletion VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.22.0  NO_MODULE)
+find_package(ECM 6.23.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf6-kcompletion (6.23.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.23.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Add/update Nicolas Fella’s key in upstream keyring.
  * Use DEB_HOST_MULTIARCH in libraries install path.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Feb 2026 16:47:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,27 @@
 Source: kf6-kcompletion
 Section: libs
-Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.27~),
                doxygen,
-               extra-cmake-modules (>= 6.22.0~),
-               libkf6codecs-dev (>= 6.22.0~),
-               libkf6config-dev (>= 6.22.0~),
-               libkf6widgetsaddons-dev (>= 6.22.0~),
+               extra-cmake-modules (>= 6.23.0~),
+               libkf6codecs-dev (>= 6.23.0~),
+               libkf6config-dev (>= 6.23.0~),
+               libkf6widgetsaddons-dev (>= 6.23.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-tools-dev (>= 6.8.0~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/frameworks/kcompletion
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcompletion
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcompletion.git
 
 Package: libkf6completion-data
 Architecture: all
@@ -39,11 +36,11 @@
 Package: libkf6completion-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6codecs-dev (>= 6.22.0~),
+Depends: libkf6codecs-dev (>= 6.23.0~),
          libkf6completion6 (= ${binary:Version}),
-         libkf6config-dev (>= 6.22.0~),
-         libkf6widgetsaddons-dev (>= 6.22.0~),
-         qt6-base-dev (>= 6.8.0+dfsg~),
+         libkf6config-dev (>= 6.23.0~),
+         libkf6widgetsaddons-dev (>= 6.23.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6completion-doc (= ${source:Version}),
 Description: development files for kcompletion
